<template src="./template.html"></template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from "nuxt-property-decorator";
import axios from "axios";
import { api } from "~/common/constaint";
//@ts-ignore
import language from "~/locales/language-product.json";
import { redirectPage } from "~/utils/apiHanlers";
@Component({
  components: {},
})
export default class FooterComponent extends Vue {
  async fetch() {}

  get siteInfo() {
    return this.$store.state.setting.siteInfo;
  }

  get convertImage() {
    if (this.siteInfo && this.siteInfo.logo) {
      return `${api}/${this.siteInfo.logo}`;
    }
  }

  get product() {
    return this.$store.state.product?.product || {};
  }

  get $language() {
    if (this.$store.state.product.language.welcomeTo) {
      return this.$store.state.product.language;
    }
    return language.EN;
  }
}
</script>

<style src="./style.css"></style>
